Constraint Validation API

Last updated on : 2022-04-10

Note:
Constraint Validation API shows a browser compatibility score of 97. This is a collective score out of 100 to represent browser support of a web technology. The higher this score is, the greater is the browser compatibility. The browser compatibility score is not a 100% reflection for every browser and the web technology support. However, it does give you an estimate on how much you should rely on a particular web technology in terms of browser compatibility.

Overview

Constraint-validation is API used to improve the way you handle form fields. It allows you to perform validation checks and communicate errors with your users using simple objects.

Browser Compatibility

  • Constraint Validation API on IE is fully supported on None of the versions, partially supported on 10-11, and not supported on 5.5-9 IE versions.
  • Constraint Validation API on Edge is fully supported on 17-99, partially supported on 12-16, and not supported on below 12 Edge versions.
  • Constraint Validation API on Firefox is fully supported on 51-100, partially supported on 4-50, and not supported on 2-3 Firefox versions.
  • Constraint Validation API on Chrome is fully supported on 40-103, partially supported on 15-39, and not supported on below 15 Chrome versions.
  • Constraint Validation API on Safari is fully supported on 10-15.4, partially supported on 5.1-9, and not supported on below 5.1 Safari versions.
  • Constraint Validation API on Opera is fully supported on 27-83, partially supported on 11.6-26, and not supported on below 11.6 Opera versions.
  • Constraint Validation API on Safari on iOS is fully supported on 10-15.4, partially supported on 5-9, and not supported on below 5 Safari on iOS versions.
  • Constraint Validation API on Android Browser is fully supported on 97-99, partially supported on 4.4-4, and not supported on below 4.4 Android Browser versions.
  • Constraint Validation API on Opera Mobile is fully supported on 64-64, partially supported on 12.1-12, and not supported on below 12.1 Opera Mobile versions.
  • Constraint Validation API on Chrome for Android is fully supported on 97-100, partially supported on None of the versions, and not supported on below 97 Chrome for Android versions.
  • Constraint Validation API on Firefox for Android is fully supported on 95-98, partially supported on None of the versions, and not supported on below 95 Firefox for Android versions.
  • Constraint Validation API on Samsung Internet is fully supported on 4-16, partially supported on None of the versions, and not supported on below 4 Samsung Internet versions.
97
Hightooltip

Browser Compatibility Score

Chrome IE
Medium

Browser Support For IE Versions

-
Fully
10-11
Partially
5.5-9
No Support
Chrome Edge
High

Browser Support For Edge Versions

17-99
Fully
12-16
Partially
-
No Support
Chrome Firefox
High

Browser Support For Firefox Versions

51-100
Fully
4-50
Partially
2-3
No Support
Chrome Chrome
High

Browser Support For Chrome Versions

40-103
Fully
15-39
Partially
-
No Support
Chrome Safari
High

Browser Support For Safari Versions

10-15.4
Fully
5.1-9
Partially
-
No Support
Chrome Opera
High

Browser Support For Opera Versions

27-83
Fully
11.6-26
Partially
-
No Support
Chrome Safari on iOS
High

Browser Support For Safari on iOS Versions

10-15.4
Fully
5-9
Partially
-
No Support
Chrome Android Browser
High

Browser Support For Android Browser Versions

97-99
Fully
4.4-4
Partially
-
No Support
Chrome Opera Mobile
High

Browser Support For Opera Mobile Versions

64-64
Fully
12.1-12
Partially
-
No Support
Chrome Chrome for Android
High

Browser Support For Chrome for Android Versions

97-100
Fully
-
Partially
-
No Support
Chrome Firefox for Android
High

Browser Support For Firefox for Android Versions

95-98
Fully
-
Partially
-
No Support
Chrome Samsung Internet
High

Browser Support For Samsung Internet Versions

4-16
Fully
-
Partially
-
No Support

Test your website on 3000+ browsers

Test your website on 3000+ real browsers and operating systems for mobile and desktop with the LambdaTest cloud. Perform browser compatibility test for Constraint Validation API and many more web technologies that are a part of your website or web-application.

Last Modified date

2022-04-10

Browser Support for Constraint Validation API

  • ChromeChrome
  • Safari Safari
  • Firefox Firefox
  • IE Internet Explorer
  • Opera Opera
  • Edge Edge

References


Data sourced from

Test on a Real Browser

Test this and other features on your website for compatibility across
3,000 real browsers and devices using

Try LambdaTest
LambdaTestX

We use cookies to give you the best experience. Cookies help to provide a more personalized experience and relevant advertising for you, and web analytics for us. Learn More in our Cookies policy, Privacy & Terms of service

Allow Cookie
Sarah

I hope we're able to help you build browser compatible web experience.

Fast track your browser testing experience on 3000+ browsers and OS combinations with LambdaTest.

Sarah Elson (Product & Growth Lead)